<script>
  export let url;
  export let content;
  import { onMount } from "svelte";
  import api from "$/client/api.js";

  const load_url = async () => {
    console.log("HTML URL", url);
    const [status, data] = await api.blob(url);

    if(status === 200) {
      content = await data.text();
    } else {
      console.error("Failed to load", url, "status", status);
      content = "";
    }
  }

  $: if(url) load_url(url);
</script>

{#if url && content}
  {@html content}
{/if}
